WDCTL(8)

NAMN
wdctl - visa status för hårdvaruövervakning

SYNOPSIS

wdctl [flaggor] [enhet...]

BESKRIVNING

Visa status för hårdvarans watchdog. Standardenheten är /dev/watchdog. Om mer än en enhet anges separeras utdata med en tom rad.

Om enheten redan används eller om användaren inte har behörighet att läsa från enheten, läser wdctl data från sysfs. I det här fallet kan information om funktioner som stöds (flaggor) saknas.

Observera att antalet watchdog-funktioner som stöds är maskinvaruspecifikt.

FLAGGOR

-f, --flags lista
    Skriv bara ut de angivna flaggorna.

-F, --noflags
    Skriv inte ut information om flaggor.

-I, --noident
    Skriv inte ut identitetsinformation för vakthund.

-n, --noheadings
    Skriv inte ut en rubrikrad för flaggtabeller.

-o, --output lista
    Definiera de utdatakolumner som ska användas i tabellen med watchdog-flaggor. Om inget utdataarrangemang anges används en standarduppsättning. Använd --help för att få en lista över alla kolumner som stöds.

-O, --oneline
    Skriv ut all önskad information på en rad i utdataformatet key="value".

-p, --setpretimeout seconds
    Ställ in watchdog pre-timeout i sekunder. En watchdog pre-timeout är ett meddelande som genereras av watchdog innan återställning av watchdog kan ske om watchdog inte har servats. Detta meddelande hanteras av kärnan och kan konfigureras att vidta en åtgärd med sysfs eller med --setpregovernor.

-g, --setpregovernor styrfaktor
    Ange namn på guvernör före timeout. För tillgängliga administratörer se standardutmatningen wdctl.

-r, --raw
    Använd det råa utmatningsformatet.

-s, --settimeout seconds
    Ställ in tidsgränsen för watchdog i sekunder.

-T, --notimeouts
    Skriv inte ut watchdog timeouts.

-x, --flags-only
    Samma som -I -T.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

UPPHOVSPERSONER

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot wdctl ingår i paketet util-linux som kan hämtas från